#!/bin/bash

set -o errexit
set -o nounset

# Use watchfiles during development
CELERY_WORKER_WATCH=${CELERY_WORKER_WATCH:-}

if [ -n "${CELERY_WORKER_WATCH}" ]; then
    watchfiles --filter python 'celery -A main.celery worker --loglevel=info'
else
   exec python -m celery -A main.celery worker --loglevel=info
fi
